export interface ConditionKeySettings {
    readonly supportedOperators: string[];
}
export declare abstract class ConditionKey {
    readonly name: string;
    readonly settings: ConditionKeySettings;
    protected constructor(name: string, settings: ConditionKeySettings);
    toString(): string;
}
export declare abstract class BoolConditionKey extends ConditionKey {
    protected constructor(name: string, settings: ConditionKeySettings);
}
export declare class GenericConditionKey extends ConditionKey {
    static custom(name: string, settings: ConditionKeySettings): GenericConditionKey;
    private constructor();
}
