export declare class PolicyVariable {
    readonly type: string;
    readonly defaultValue?: string | undefined;
    readonly tagName?: string | undefined;
    static principalOrgId(defaultValue?: string): PolicyVariable;
    static principalTag(tagName: string, defaultValue?: string): PolicyVariable;
    static principalType(defaultValue?: string): PolicyVariable;
    static requestTag(tagName: string, defaultValue?: string): PolicyVariable;
    static resourceTag(tagName: string, defaultValue?: string): PolicyVariable;
    static userId(defaultValue?: string): PolicyVariable;
    static username(defaultValue?: string): PolicyVariable;
    private constructor();
    get isTag(): boolean;
    toString(): string;
}
